ACTION=="add", KERNEL=="null", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="zero", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="full", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="ptmx", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="tty", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="random", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="urandom", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="hw_random", OWNER="root", GROUP="system", MODE="0440"
ACTION=="add", KERNEL=="ashmem", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="binder", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="hwbinder", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="vndbinder", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="pmsg0", OWNER="root", GROUP="log", MODE="0222"
ACTION=="add", KERNEL=="msm_hw3dc", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="kgsl", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="dri/*", OWNER="root", GROUP="graphics", MODE="0666"
ACTION=="add", KERNEL=="diag", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="diag_arm9", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="ttyMSM0", OWNER="bluetooth", GROUP="bluetooth", MODE="0600"
ACTION=="add", KERNEL=="uhid", OWNER="uhid", GROUP="uhid", MODE="0660"
ACTION=="add", KERNEL=="uinput", OWNER="system", GROUP="bluetooth", MODE="0660"
ACTION=="add", KERNEL=="alarm", OWNER="system", GROUP="radio", MODE="0664"
ACTION=="add", KERNEL=="rtc0", OWNER="system", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="tty0", OWNER="root", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="graphics/*", OWNER="root", GROUP="graphics", MODE="0660"
ACTION=="add", KERNEL=="msm_hw3dm", OWNER="system", GROUP="graphics", MODE="0660"
ACTION=="add", KERNEL=="input/*", OWNER="root", GROUP="input", MODE="0660"
ACTION=="add", KERNEL=="v4l-touch*", OWNER="root", GROUP="input", MODE="0660"
ACTION=="add", KERNEL=="eac", OWNER="root", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="cam", OWNER="root", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="pmem", OWNER="system", GROUP="graphics", MODE="0660"
ACTION=="add", KERNEL=="pmem_adsp*", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="pmem_camera*", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="oncrpc/*", OWNER="root", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="adsp/*", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="snd/*", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="mt9t013", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="msm_camera/*", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="akm8976_daemon", OWNER="compass", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="akm8976_aot", OWNER="compass", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="akm8973_daemon", OWNER="compass", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="akm8973_aot", OWNER="compass", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="bma150", OWNER="compass", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="cm3602", OWNER="compass", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="akm8976_pffd", OWNER="compass", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="lightsensor", OWNER="system", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="msm_pcm_out*", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_pcm_in*", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_pcm_ctl*", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_snd*", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_mp3*", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="audience_a1026*", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="tpa2018d1*", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_audpre", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_audio_ctl", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="htc-acoustic", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="vdec", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="q6venc", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="snd/dsp", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="snd/dsp1", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="snd/mixer", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="smd0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="qmi", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="qmi0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="qmi1", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="qmi2", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="bus/usb/*", OWNER="root", GROUP="usb", MODE="0660"
ACTION=="add", KERNEL=="mtp_usb", OWNER="root", GROUP="mtp", MODE="0660"
ACTION=="add", KERNEL=="usb_accessory", OWNER="root", GROUP="usb", MODE="0660"
ACTION=="add", KERNEL=="tun", OWNER="system", GROUP="vpn", MODE="0660"
ACTION=="add", KERNEL=="ts0710mux*", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="ppp", OWNER="radio", GROUP="vpn", MODE="0660"
ACTION=="add", KERNEL=="dvb*", OWNER="root", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="diag", OWNER="system", GROUP="oem_2901", MODE="0660"
ACTION=="add", KERNEL=="genlock", OWNER="system", GROUP="system", MODE="0666"
ACTION=="add", KERNEL=="wlan", OWNER="wifi", GROUP="wifi", MODE="0660"
ACTION=="add", KERNEL=="kgsl", OWNER="system", GROUP="system", MODE="0666"
ACTION=="add", KERNEL=="kgsl-3d0", OWNER="system", GROUP="system", MODE="0666"
ACTION=="add", KERNEL=="kgsl-2d0", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="kgsl-2d1", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="ion", OWNER="system", GROUP="system", MODE="0664"
ACTION=="add", KERNEL=="rtc0", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="smd0", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="smd4", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="smd_cxm_qmi", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smd5", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="smd6", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="smd7", OWNER="bluetooth", GROUP="bluetooth", MODE="0660"
ACTION=="add", KERNEL=="ccid_bridge", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="ipa", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="wwan_ioctl", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="ipaNatTable", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="rmnet_ctrl", OWNER="usb", GROUP="usb", MODE="0660"
ACTION=="add", KERNEL=="dpl_ctrl", OWNER="usb", GROUP="usb", MODE="0660"
ACTION=="add", KERNEL=="ipa_odl_ctl", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="ipa_adpl", OWNER="system", GROUP="oem_2905", MODE="0660"
ACTION=="add", KERNEL=="smd11", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="smd2", OWNER="bluetooth", GROUP="bluetooth", MODE="0660"
ACTION=="add", KERNEL=="smd3", OWNER="bluetooth", GROUP="bluetooth", MODE="0660"
ACTION=="add", KERNEL=="btpower", OWNER="bluetooth", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="pta", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="radio0", OWNER="system", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="rfcomm0", OWNER="bluetooth", GROUP="bluetooth", MODE="0660"
ACTION=="add", KERNEL=="ttyUSB0", OWNER="bluetooth", GROUP="bluetooth", MODE="0660"
ACTION=="add", KERNEL=="smdcntl0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl1", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl2", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl3", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl4", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl5", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl6", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl7", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl8", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev1", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev2", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev3", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev4", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev5", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev6", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev7", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev8", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smuxctl32", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl1", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl2", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl3", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl4", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl5", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl6", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl7", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl8", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="rmnet_mux_ctrl", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl1", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl2", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl3", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl4", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl5", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl6", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl7", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl8", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl9", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl10", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl11", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl12", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl13", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl14", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl15", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl16", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="mhi_*_pipe_14", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="mhi_*_pipe_16", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="mhi_*_pipe_32", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="at_usb0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="at_mdm0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="video*", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="media*", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="v4l-subdev*", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="qseecom", OWNER="system", GROUP="drmrpc", MODE="0660"
ACTION=="add", KERNEL=="qce", OWNER="system", GROUP="drmrpc", MODE="0660"
ACTION=="add", KERNEL=="smcinvoke", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="qsee_ipc_irq_spss", OWNER="system", GROUP="drmrpc", MODE="0660"
ACTION=="add", KERNEL=="seemplog", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="pft", OWNER="system", GROUP="drmrpc", MODE="0660"
ACTION=="add", KERNEL=="spcom", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="sp_kernel", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="sp_ssr", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="sp_keymaster", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="sec_nvm_*", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="cryptoapp", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="spdaemon_ssr", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="gemini0", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="jpeg0", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="jpeg1", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="jpeg2", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="jpeg3", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="adsprpc-smd", OWNER="system", GROUP="system", MODE="0664"
ACTION=="add", KERNEL=="adsprpc-smd-secure", OWNER="system", GROUP="system", MODE="0644"
ACTION=="add", KERNEL=="system_health_monitor", OWNER="radio", GROUP="system", MODE="0644"
ACTION=="add", KERNEL=="mdss_rotator", OWNER="system", GROUP="system", MODE="0664"
ACTION=="add", KERNEL=="byte-cntr", OWNER="system", GROUP="oem_2902", MODE="0660"
ACTION=="add", KERNEL=="wcnss_wlan", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="wcnss_ctrl", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="spidev0.0", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_camera/*", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="gemini/", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="mercury0", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="msm_vidc_reg", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_vidc_dec", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_vidc_dec_sec", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_vidc_enc", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_rotator", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="sdsprpc-smd", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="wcd_dsp0_control", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="wcd-dsp-glink", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="audio_slimslave", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_qcelp", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_evrc", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_wma", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_wmapro", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_alac", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_ape", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_amrnb", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_amrwb", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_amrwbplus", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_aac", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_multi_aac", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_aac_in", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_qcelp_in", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_evrc_in", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_amrnb_in", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_amrwb_in", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_a2dp_in", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_ac3", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_audio_cal", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_hweffects", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_cad", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_fm", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_mvs", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_pcm_lp_dec", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_preproc_ctl", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_rtac", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_voicememo", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="ttyHSL1", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="ttyHS1", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="mdm", OWNER="system", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="sdio_tty_ciq_00", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="tty_sdio_00", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="ttyGS0", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="i2c-5", OWNER="media", GROUP="media", MODE="0660"
ACTION=="add", KERNEL=="avtimer", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="dvb/adapter0/demux*", OWNER="media", GROUP="media", MODE="0440"
ACTION=="add", KERNEL=="dvb/adapter0/dvr*", OWNER="media", GROUP="media", MODE="0660"
ACTION=="add", KERNEL=="dvb/adapter0/video*", OWNER="media", GROUP="media", MODE="0660"
ACTION=="add", KERNEL=="tsc_mux0", OWNER="media", GROUP="media", MODE="0660"
ACTION=="add", KERNEL=="tsc_ci0", OWNER="media", GROUP="media", MODE="0660"
ACTION=="add", KERNEL=="sensors", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="vm_bms", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="battery_data", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="wcnss_wlan", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="wcnss_ctrl", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="nfc-nci", OWNER="nfc", GROUP="nfc", MODE="0660"
ACTION=="add", KERNEL=="nq-nci", OWNER="nfc", GROUP="nfc", MODE="0660"
ACTION=="add", KERNEL=="assd", OWNER="nfc", GROUP="nfc", MODE="0660"
ACTION=="add", KERNEL=="uio0", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="uio1", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="uio2", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="subsys_*", OWNER="system", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="usf1", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="ramdump*", OWNER="system", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="qbt1000", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="hbtp_input", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="hbtp_vm", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="block/platform/soc/7824900.sdhci/by-name/config", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/7464900.sdhci/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/624000.ufshc/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/1da4000.ufshc/by-name/config", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/1da4000.ufshc/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/c0c4000.sdhci/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/1d84000.ufshc/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/7c4000.sdhci/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/8804000.sdhci/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="kmsg", OWNER="root", GROUP="system", MODE="0620"
ACTION=="add", KERNEL=="msm_npu", OWNER="system", GROUP="system", MODE="0644"
ACTION=="change", DEVPATH=="/devices/virtual/switch/tri-state-key", SUBSYSTEM=="switch", RUN+="/usr/bin/python3 /system/bin/tri_state.py"
